*,
*::before,
*::after{
   box-sizing: border-box;
}
.page-body{
    padding: 20px 100px;
    margin: 0;
    font-size: 28px;
}
.float-container{
    padding: 10px;
    border: 1px solid #000;
}
.float-element{
    background-color: tomato;
    padding: 10px;
    color: #ffffff;

    float: left;
}
.clearfix::after{
    content: "";
    display: table;
    clear:both;
}
.position-wrap{
    padding: 30px;
    border: 1px solid red;
    position: relative;
}
[class^="item"]{
    width: 200px;
    height: 200px;
    border-width: 4px;
    border-style: solid;
}
.item1{
    /*position: static;*/
    border-color: #4169e1;
    position: relative;
    /*top, left, right, bottom*/
    top:30px;
    left: 100px;
    margin-left: 30px;
 }
.item2{
    border-color: #ffd700;
    position: absolute;
    /*top, left, right, bottom*/
    top:30px;
    left: 100px;
}
.item3{
    position: fixed;
    border-color: #008000;

    right: 100px;
    top: 50px;
    z-index: 2;
}
.content{
    background-color: #fafad2;
    padding: 20px;
    height: 300px;
    margin-bottom: 100px;

    overflow-y: auto;
 }
.sticky{
    position: sticky;
    top: -20px;
    left: 0;
    border: 1px solid #000;
    background-color: #fafad2;
    margin-top: 0px;
 }
